Looks like no one’s replied in a while. To start the conversation again, simply ask a new question.

Question:

Question: Time Capsule A1302, does it work with High Sierra?

Does the Time Capsule A1302 work with High Sierra? Someone, please let me know. Similar Airport Extremes of the time have had support dropped for this OS, so that's why I am wondering.

OS X Mavericks (10.9.3)

Posted on

Reply

Page content loaded

Nov 18, 2017 6:07 AM in response to AugustFourSeven In response to AugustFourSeven

If the Time Capsule has been updated to use the current 7.6.8 firmware, or a recent 7.6.x version of firmware, then it will work with AirPort Utility in High Sierra.


Another way to say the same thing is that if AirPort Utility has been able to "see" the Time Capsule when the Mac was running Sierra, El Capitan, Yosemite or Mavericks, it will also be able to "see" the Time Capsule with High Sierra.


Support wise, Apple classifies the A1302 as "Obsolete", so no matter what operating system you might be using with the A1302, Apple will not offer any help in the event of problems.....even if you are willing to pay them.


Frankly, it is remarkable that an A1302 model will even power up at all, since very few of these models made it past 3-4 years of operation. It would not be a good idea to store any data that is valuable to you on the Time Capsule, since it will not go much longer.

Nov 18, 2017 6:07 AM

Reply Helpful
User profile for user: AugustFourSeven

Question: Time Capsule A1302, does it work with High Sierra?